@charset "UTF-8";
/*==============================================================
SHARED STYLES for "WEBVIEW"
==============================================================*/
/*--------------------------------------------------------------
FOUNDATION
// - RESET
// - FONT
// - BASE
--------------------------------------------------------------*/
/* [FOUNDATION] RESET
--------------------------------------------------------------*/
/*--------------------------------------------------------------
FOUNDATION
--------------------------------------------------------------*/
/* [FOUNDATION] RESET
--------------------------------------------------------------*/
button,
input,
select,
textarea {
  background-color: initial;
  border-width: 1px;
  border-style: solid;
}

/* [FOUNDATION] FONT
--------------------------------------------------------------*/
/* [[FONT]] - FONT FAMILY ------------------------------------*/
body {
  font-family: "Hiragino Kaku Gothic Pro", "ヒラギノ角ゴ Pro W3", "Noto Sans JP", "Noto Sans CJK JP", "メイリオ", "Meiryo", "ＭＳ Ｐゴシック", "Helvetica Neue", "Helvetica", "Roboto", "Arial", sans-serif;
  line-height: 1.5;
}

/* [[FONT]] - FONT BASE SETTINGS -----------------------------*/
html {
  font-size: 87.5%;
}

/* [FOUNDATION] BASE
--------------------------------------------------------------*/
body, html {
  height: 100%;
}

body {
  position: relative;
  display: flex;
  flex-direction: column;
  min-height: 100dvh;
}

i {
  font-style: normal;
}

a {
  text-underline-offset: 0.0714285714rem;
}

li[class*=list__item],
li[class*=radio__item] {
  list-style: none;
}

* {
  padding: 0;
  margin: 0;
}

/*--------------------------------------------------------------
	LAYOUT
--------------------------------------------------------------*/
/* [LAYOUT] BASE
--------------------------------------------------------------*/
.l-header__inner,
.l-page-hdg,
.l-page-main,
.l-footer {
  width: 980px;
  margin-left: auto;
  margin-right: auto;
}

.l-footer {
  margin-top: 1.1428571429rem;
  padding-bottom: 1.1428571429rem;
}

/* [LAYOUT] PAGE
--------------------------------------------------------------*/
.l-page {
  display: flex;
  flex-direction: column;
  padding-bottom: env(safe-area-inset-bottom);
  justify-content: center;
  flex: 1 0 auto;
}

.l-page-header {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 6.5714285714rem;
  padding-top: calc(0.5714285714rem + env(safe-area-inset-top));
  padding-bottom: 0.5714285714rem;
  padding-left: calc(1.1428571429rem + env(safe-area-inset-left));
  padding-right: calc(1.1428571429rem + env(safe-area-inset-right));
}

.l-page-body {
  flex: 1;
  padding-top: 1.1428571429rem;
  padding-bottom: calc(2.8571428571rem + env(safe-area-inset-left));
  padding-left: 16px;
  padding-right: 16px;
}

/* [LAYOUT] PAGE
--------------------------------------------------------------*/
.l-main {
  max-width: 948px;
  margin-left: auto;
  margin-right: auto;
  padding-top: 2.8571428571rem;
  padding-bottom: 2.8571428571rem;
  box-sizing: border-box;
  width: 100%;
}

.l-main__inner {
  max-width: 312px;
  margin-left: auto;
  margin-right: auto;
  width: 100%;
}

/*--------------------------------------------------------------
	COMPONENT
--------------------------------------------------------------*/
/* [COMPONENT] TEXT
--------------------------------------------------------------*/
/* [[TEXT]] - HEADING ----------------------------------------*/
/* [[TEXT]] - EMPHASIS ---------------------------------------*/
/* [[TEXT]] - LABEL ------------------------------------------*/
/* [[TEXT]] - PARAGRAPH --------------------------------------*/
/* [[TEXT]] - ERROR ------------------------------------------*/
/* [[LOGO]] - logo ------------------------------------------*/
.c-logo-company {
  display: inline-block;
  text-indent: 100%;
  white-space: nowrap;
  overflow: hidden;
  background-position: top left;
  background-repeat: no-repeat;
  background-size: cover;
  width: 11.5714285714rem;
  height: 2.1428571429rem;
  margin-top: 0.2857142857rem;
}

/* [COMPONENT] ICON
/* [[ICON]] - WINDOW EXTERNAL  --------------------------*/
.c-with-icon {
  display: inline-block;
}
.c-with-icon.-icn-external::after {
  content: "";
  display: inline-block;
  width: 0.7142857143rem;
  height: 0.7142857143rem;
  margin-left: 0.2142857143rem;
  margin-right: 0.2857142857rem;
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: 80px 40px;
}
.c-with-icon.-icn-passkey {
  position: relative;
}
.c-with-icon.-icn-passkey::before {
  content: "";
  display: inline-block;
  width: 1.4285714286rem;
  height: 1.4285714286rem;
  margin-left: 0.2142857143rem;
  margin-right: 0.2857142857rem;
  background-position: 0 0;
  background-repeat: no-repeat;
  background-size: contain;
  position: absolute;
  top: -10px;
  right: 0px;
}

/* [COMPONENT] BUTTON
--------------------------------------------------------------*/
/* [[BUTTON]] - COMMON ---------------------------------------*/
.c-btn,
.c-btn.ui-button,
.c-btn-check__inner {
  line-height: 1;
}
.c-btn:hover,
.c-btn.ui-button:hover,
.c-btn-check__inner:hover {
  cursor: pointer;
  opacity: 0.7;
}
.c-btn:active,
.c-btn.ui-button:active,
.c-btn-check__inner:active {
  box-shadow: none;
}
.c-btn:focus,
.c-btn.ui-button:focus,
.c-btn-check__inner:focus {
  outline: 0;
}
.c-btn[disabled],
.c-btn.ui-button[disabled],
.c-btn-check__inner[disabled] {
  cursor: not-allowed;
  box-shadow: none;
}

.c-btn,
.c-btn.ui-button,
.c-btn-check__inner {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.c-btn,
.c-btn.ui-button,
.c-btn-check__inner {
  padding: 0.5714285714rem 0.8571428571rem;
  border: 1px solid;
  font-weight: bold;
  display: block;
  font-size: 1.1428571429rem;
  text-align: center;
}

.c-btn,
.c-btn.ui-button,
.c-btn-check__inner {
  border-radius: 3px;
}

.c-btn.is-checked,
.c-btn.ui-button.is-checked {
  border-width: 3px;
  padding: calc(0.2857142857rem - 2px) calc(0.5714285714rem - 2px);
  box-shadow: none;
}

.c-btn-check input[type=checkbox] {
  position: absolute !important;
  width: 1px !important;
  height: 1px !important;
  padding: 0 !important;
  margin: -1px !important;
  overflow: hidden !important;
  clip: rect(0, 0, 0, 0) !important;
  white-space: nowrap !important;
  border: 0 !important;
}

/* [COMPONENT] LIST
--------------------------------------------------------------*/
.c-list li {
  list-style: none;
}

/* [COMPONENT] GROUP
--------------------------------------------------------------*/
/* [COMPONENT] FORM
--------------------------------------------------------------*/
input[readonly] {
  cursor: default;
}

input[type=radio][readonly] {
  pointer-events: none;
}

/* [[FORM]] - TEXTFILED --------------------------------------*/
input.c-input-text {
  min-height: 2.2857142857rem;
  padding: 0.2142857143rem 0.3571428571rem;
  border-radius: 3px;
  font-size: 1.1428571429rem;
}
input.c-input-text.c-numeral {
  text-align: right;
}
input.c-input-text[disabled] {
  cursor: not-allowed;
}
input.c-input-text.-preview {
  cursor: default;
}
input.c-input-text:focus-visible {
  outline-width: inherit;
}

/* [COMPONENT] NAV
--------------------------------------------------------------*/
/* [COMPONENT] PANEL
--------------------------------------------------------------*/
/* [[PANEL]] - MESSAGE ---------------------------------------*/
/*--------------------------------------------------------------
	SHARED BLOCK
// - HEADER
// - FOOTER
// - HEADING
// - GROUP
// - PANEL
// - LOADING
/* [SHARED BLOCK] - FOOTER
--------------------------------------------------------------*/
/* [SHARED BLOCK] MAIN
--------------------------------------------------------------*/
/* [PROJECT] MAIN
--------------------------------------------------------------*/
.p-login-company {
  z-index: 2;
}
.p-login-company .p-login-company__logo {
  max-width: 980px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 1.1428571429rem;
  padding-right: 1.1428571429rem;
  box-sizing: border-box;
  height: 44px;
  display: flex;
  align-items: center;
}

.p-login-page li, .p-login-page a {
  text-decoration: none;
}
.p-login-page .p-login-page__hdg {
  text-align: center;
  font-size: 1.4285714286rem;
}
.p-login-page .p-login-page__error {
  margin-left: 2.8571428571rem;
  margin-right: 2.8571428571rem;
  margin-top: 0.5714285714rem;
  text-align: center;
  font-weight: 700;
  white-space: pre-wrap;
}
.p-login-page .p-login-page__loginBtn {
  margin-top: 1.1428571429rem;
}
.p-login-page .p-login-page__loginBtn .c-btn:has(.c-with-icon.-icn-passkey) {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
}
.p-login-page .p-exBank-main__loginBtn-support {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: 0.5714285714rem;
  flex-direction: column;
  row-gap: 0.8571428571rem;
}
.p-login-page .p-exBank-main__loginBtn-support.-passkey-support p:nth-child(1) {
  margin-bottom: 0.8571428571rem;
}
.p-login-page .p-login-page__loginBox {
  text-align: center;
  margin-top: 1.1428571429rem;
}
.p-login-page .p-login-page__loginBox .p-login-page__loginBox-pw {
  margin-top: 0.2857142857rem;
}
.p-login-page .p-login-page__loginBox .p-loginBoxInput {
  width: 90%;
}
.p-login-page .p-login-page__separator {
  display: flex;
  align-items: center;
  text-align: center;
  margin: 1.4285714286rem 0;
}
.p-login-page .p-login-page__separator::before, .p-login-page .p-login-page__separator::after {
  content: "";
  flex: 1;
  border-bottom: 1px solid;
}
.p-login-page .p-login-page__separator span {
  padding: 0 0.5714285714rem;
  font-size: 1.1428571429rem;
}

/* [PROJECT] FOOTER
--------------------------------------------------------------*/
.p-footer {
  padding: 2.2857142857rem 0 0 0;
}
.p-footer .p-footer-info .p-footer-info__list {
  list-style: none;
  margin: 0;
  max-width: 980px;
  margin-left: auto;
  margin-right: auto;
  box-sizing: border-box;
  padding: 0rem 2.5714285714rem;
}
.p-footer .p-footer-info .p-footer-info__list li {
  display: flex;
  align-items: baseline;
  margin-bottom: 0.2em;
}
.p-footer .p-footer-info .p-footer-info__list li .p-footer-info__itemWrapper {
  width: 5em;
  flex-shrink: 0;
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}
.p-footer .p-footer-info .p-footer-info__list li .p-footer-info__itemWrapper.blank {
  width: 5em;
  visibility: hidden;
}
.p-footer .p-footer-info .p-footer-info__list li .p-footer-info__itemWrapper .p-footer-info__itemColon {
  flex-shrink: 0;
}
.p-footer .p-footer-info .p-footer-info__list li .p-footer-info__itemWrapper .p-footer-info__itemValue {
  flex: 1;
  padding-left: 0.5em;
}
.p-footer .p-footer-copyright {
  margin-top: 2.2857142857rem;
  display: flex;
  justify-content: center;
  font-size: 0.8571428571rem;
  line-height: 1.2;
  padding: 2.8571428571rem 0rem;
}

/*==============================================================
l-mainの横幅(948px)以下の対応
==============================================================*/
@media screen and (max-width: 948px) {
  .p-footer-info {
    display: flex;
  }
  .p-footer {
    padding: 0.8571428571rem 0 0 0;
  }
  .p-footer .p-footer-copyright {
    margin-top: 0.8571428571rem;
    padding: 0.5714285714rem 0rem;
  }
}
/*==============================================================
SPECIFIC STYLES for "SMART-PHONE"
==============================================================*/
@media screen and (max-width: 768px) {
  .l-main {
    padding-top: 0.5714285714rem;
    padding-bottom: 0.5714285714rem;
  }
  .c-logo-company {
    width: 10.7142857143rem;
    height: 2rem;
    margin-top: 0.3571428571rem;
  }
  .p-login-company .p-login-company__logo {
    margin-top: 0;
    padding-left: 0.5714285714rem;
    padding-right: 0.5714285714rem;
    height: 48px;
  }
  .p-login-page__hdg {
    margin-top: 1.1428571429rem;
  }
  .p-login-page .p-login-page__error {
    margin-left: 1.4285714286rem;
    margin-right: 1.4285714286rem;
  }
  .p-footer {
    margin-top: 0.5714285714rem;
  }
  .p-footer .p-footer-info {
    padding: 0 0.5714285714rem;
  }
  .p-footer .p-footer-info .p-footer-info__list {
    font-size: 0.7857142857rem;
    padding: 0;
  }
  .p-footer .p-footer-copyright {
    font-size: 0.7857142857rem;
  }
}
